Subject: [CCAMP] I-D Action: draft-ietf-ccamp-otn-tunnel-model-04.txt

From: [email-masked]
Date: Fri, 10 Aug 2018 00:10:27 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Control and Measurement Plane WG of the IETF.

        Title           : OTN Tunnel YANG Model
        Authors         : Haomian Zheng
                          Aihua Guo
                          Italo Busi
                          Anurag Sharma
                          Rajan Rao
                          Sergio Belotti
                          Victor Lopez
                          Yunbo Li
                          Yunbin Xu
	Filename        : draft-ietf-ccamp-otn-tunnel-model-04.txt
	Pages           : 62
	Date            : 2018-08-10

Abstract:
   This document describes the YANG data model for OTN Tunnels.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-otn-tunnel-model/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-ccamp-otn-tunnel-model-04
https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-otn-tunnel-model-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-otn-tunnel-model-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: tom petch <[email-masked]>
Date: Fri, 24 Aug 2018 08:54:52 +0000

Sorry wrong I-D; the comments I posted yesterday in this thread were on
otn-topo.

So looking at otn-tunnel-model-05 (I hope:-)

- RFC have a line length limit which is exceeded in many places by lines
such as
/* Augment label restrictions for the reverse direction of
path-out-segment of reverse primary path */
[mmm sounds familar]

- a reference to
    "module ietf-otn-types in this Document";
will not make any sense when this YANG module is free standing; you need
something like
"RFC XXXX: OTN Tunnel YANG Model";

In passing, the RFC Editor like a Note at the start of the I-D covering
all uses of XXXX rather than having multiple notes scattered through the
I-D (I asked them:-)

- The YANG Module references
  RFC6991: Common YANG Data Types"
which is good but this then needs to appear in the I-D Normative
References; you then need a [RFC6991] reference in the body of the
document which is usually achieved by putting a note at the start of
section 5

'These YANG modules import from RFC6991: Common YANG Data Types" ....
or some such as in, e.g.
draft-ietf-ccamp-mw-yang

- The YANG module references
  G.709/Y.1331, February 2016: Interfaces for the Optical
but I see no matching entry in the I-D Normative References

- IANA Considerations should reference RFC6020 not RFC7950 since RFC7950
does no more than say 'see RFC6020' (something I only just learnt)

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: "Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research
Dept)" <[email-masked]>; <[email-masked]>
Sent: Thursday, August 23, 2018 4:44 PM

> While you are at it
>
> - the YANG module file statement needs a date on it e.g. as in
> draft-ietf-ccamp-mw-yang
>
> - I see G.709 referenced in the YANG module but do not see a reference
> that matches this in the I-D References
>
> - I see
> I-D.ietf-teas-yang-te
> in the YANG module but not in the I-D References
>
> - there is a line length limit in RFC which is exceeded in many places
> in the YANG module by lines such as
> /* Augment egress label restrictions end of connectivity-matrix
> information-source */
>
> - IANA Considerations should reference RFC6020 not RFC7950 since
RFC7950
> does no more than say 'see RFC6020' (something I only just learnt)
>
> Tom Petch
>
> ----- Original Message -----
> From: "Zhenghaomian (Zhenghaomian, Optical &Microwave Technology
> Research Dept)" <[email-masked]>
> Sent: Thursday, August 23, 2018 9:31 AM
>
>
> > Hi, Tom,
> >
> > Thanks for point this out, we update the draft, with corresponding
> correction.
> >
> > Best wishes,
> > Haomian
> >
> > -----邮件原件-----
> > 发件人: tom petch [mailto:[email-masked]]
> > 发送时间: 2018年8月14日 19:50
> > 收件人: Zhenghaomian (Zhenghaomian, Optical &Microwave Technology
> Research Dept) <[email-masked]>; [email-masked]
> > 主题: Re: [CCAMP] Fw: I-D Action:
> draft-ietf-ccamp-otn-tunnel-model-04.txt
> >
> > Meanwhile, there are my usual red tape issues.
> >  - no copyright in the YANG modules
> >  - no RFC Editor note asking them to update the dates in the modules
> >  - no YANG reference statements for the import YANG statements
> > - YANG Tree diagrams is now an RFC
> >  - no I-D Reference for G.709 as referenced in the module
> >
> > I find the layout of IANA considerations not as clear as it might
be.
> I suggest
> >
> > OLD
> >
> > It is proposed that IANA should assign new URIs from the "IETF XML
> >    Registry" [RFC3688] as follows: URI:
> >    urn:ietf:params:xml:ns:yang:ietf-otn-tunnel Registrant Contact:
The
> >    IESG XML: N/A; the requested URI is an XML namespace.  URI:
> >    urn:ietf:params:xml:ns:yang:ietf-otn-types Registrant Contact:
The
> >    IESG XML: N/A; the requested URI is an XML namespace.  This
> document
> >    registers following YANG modules in the YANG Module Names
registry
> >    [RFC7950].  name: ietf-otn-tunnel namespace:
> >    urn:ietf:params:xml:ns:yang:ietf-otn-tunnel prefix: otn-tunnel
> >    reference: RFC XXXX name: ietf-otn-types namespace:
> >    urn:ietf:params:xml:ns:yang:ietf-otn-types prefix: otn-types
> >    reference: RFC XXXX
> >
> > NEW
> >
> > IANA is asked to assign URIs from the "IETF XML Registry" [RFC3688]
as
> > follows:
> >
> > URI:  urn:ietf:params:xml:ns:yang:ietf-otn-tunnel
> > Registrant Contact: The  IESG
> > XML: N/A; the requested URI is an XML namespace.
> >
> > URI: urn:ietf:params:xml:ns:yang:ietf-otn-types
> > Registrant Contact: The IESG
> > XML: N/A; the requested URI is an XML namespace.
> >
> > IANA is asked to record YANG module names in the "YANG Module Names"
> registry [RFC6020] as follows:
> >
> > name: ietf-otn-tunnel namespace:
> > urn:ietf:params:xml:ns:yang:ietf-otn-tunnel
> > prefix: otn-tunnel
> > reference: RFC XXXX
> >
> > name: ietf-otn-types namespace:
> > urn:ietf:params:xml:ns:yang:ietf-otn-types
> > prefix: otn-types
> > reference: RFC XXXX
> >
> > Just a few more newlines
> >
> > Tom Petch
> >
> > ----- Original Message -----
> > From: "Zhenghaomian (Zhenghaomian, Optical &Microwave Technology
> Research Dept)" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, August 10, 2018 8:15 AM
> >
> > > Dear WG,
> > >
> > > We update the draft-ietf-ccamp-otn-tunnel-model, mainly updating
the
> > ietf-otn-types.yang by cleaning the identities. The types model is
> imported in the other draft draft-ietf-ccamp-otn-topo-yang for YANG
> doctor review.
> > >
> > > Thank you.
> > >
> > > Best wishes,
> > > Haomian
> > >
> > > -----邮件原件-----
> > > 发件人: CCAMP [mailto:[email-masked]] 代表
> > [email-masked]
> > > 发送时间: 2018年8月10日 15:10
> > > 收件人: [email-masked]
> > > 抄送: [email-masked]
> > > 主题: [CCAMP] I-D Action: draft-ietf-ccamp-otn-tunnel-model-04.txt
> > >
> > >
> > > This draft is a work item of the Common Control and Measurement
> Plane
> > WG of the IETF.
> > >
> > > https://tools.ietf.org/html/draft-ietf-ccamp-otn-tunnel-model-04
https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-otn-tunnel-model-
> > 04
> > > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at
> tools.ietf.org.
> > >
> > > _______________________________________________
> > > CCAMP mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/ccamp
> > > _______________________________________________
> > > CCAMP mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/ccamp
> > >
> >
> >
>